package com.repair.services;

import com.baomidou.mybatisplus.extension.service.IService;
import com.repair.model.pojo.RepairConsume;
import com.repair.model.result.PageUtils;
import com.repair.model.vo.ConsumeVo;
import com.repair.model.vo.RepairArticleConsumeVo;
import com.repair.model.vo.RepairConsumeVo;

import java.util.List;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author ceshi
 * @since 2023-07-18
 */
public interface RepairConsumeService extends IService<RepairConsume> {
    int insertRepairConsume(RepairConsume rns);

    int updateRepairConsume(RepairConsume rns);

    PageUtils<RepairConsumeVo> queryPageRepairConsumes(int currentPage, int pageCount, String name, String startTime, String endTime);

    int deleteRepairConsumeById(int id);

    RepairConsume getRepairById(int id);

    List<ConsumeVo> queryConsumeList(String name, String startTime, String endTime);

    RepairConsume queryConsumeByName(String namem, Integer schoolId);

    List<RepairArticleConsumeVo> queryArticleConsumes(Integer schoolId, String keyWork, String findInSet);

    List<RepairArticleConsumeVo> queryArticleConsumesName(String findInSet,int schoolId);

    List<RepairConsume> getConsumes();

    List<RepairConsume> getConsumesByKeyword(Integer schoolId, String keyWord);
}
